<header>
    <h1>Zenika Q&A</h1>
</header>
<ng-container *ngIf="question">
    <div class="question__info">
        <h2 class="question__info-title"> {{ question?.title }} </h2>
        <p class="question__info-author"> Question postée le {{ question.date | date:"dd/MM/yyyy 'at' h:mma" }} par : {{
            question.user.username }} - {{question.user.email }} </p>
        <!-- <h3> Contenu </h3> -->
        <p class="question__info-content">
            {{ question?.content}}
        </p>
    </div>
    <!-- <button type="button" id="button-answer" [routerLink]="['/answers/form/',question.questionId]"><lucide-icon button-answer name="edit"></lucide-icon> Répondre </button> -->

    <div class="answers_container">
        <div class="answers_card" *ngFor="let answer of answers;">
            <app-answer [answer]="answer"></app-answer>
        </div>
    </div>

    <!-- <button type="button" id="button-homepage" [routerLink]="['/questions']"> <lucide-icon button-home name="home"></lucide-icon> Accueil </button> -->
    <!-- <button type="button" id="button-update" [routerLink]="['/articles/form/',article.articleid]"><lucide-icon button-delete name="edit"></lucide-icon> Update </button> -->
    <!-- <button type="button" id="buttonDelete" (click)="deleteArticle(article.articleid)"> <lucide-icon button-delete name="trash2"></lucide-icon> Delete </button> -->

    <div class="options">
        <form (ngSubmit)="answerFormInfo()">
            <h1> Your answer</h1>
            <!-- <div>
                <label for="title"> Titre </label><br>
                <input type="text" name="title" id="title" placeholder="titre" [(ngModel)]="title" required> 
            </div> -->
            <div>
                <!-- <label for="content"> Contenu </label><br> -->
                <textarea rows="5" cols="20" name="content" id="content" [(ngModel)]="content" required></textarea>
                <!-- <textarea rows="10" name="content" id="content"></textarea> -->
            </div>
            <div>
                <button type="submit" id="submitOptions">
                    <lucide-icon button-answer name="edit"></lucide-icon> Post your answer
                </button>
            </div>
        </form>
    </div>

</ng-container>